#Stop shulker disguises from moving, they're weird.
# This will only stop players that were disguised as a shulker from moving, any other entity will not be affected.
StopShulkerDisguisesFromMoving: true

# Turn this to true to have players undisguised when switching worlds
UndisguiseOnWorldChange: false

# Should the disguise be removed if the disguised player places a block?
UndisguiseOnBlockPlace: false

# Should the disguise be removed if the disguised player breaks a block?
UndisguiseOnBlockBreak: false

# This prevents disguised players from being targeted by monsters.
# This doesn't prevent their targeting you if already targeting when disguised
# They will just ignore you unless provoked.
MonstersIgnoreDisguises: false

# Should PvP be disabled when disguised?
DisablePvP: false
# Should PvE be disabled when disguised? (Eg, fighting zombie)
DisablePvE: false

# This works only for players, disguised monsters and the like will not be undisguised
# Should the player's disguises be removed if they attack something?
# Blown Disguise message can be changed in translations
# Message can be hidden with an empty translation
BlowDisguisesWhenAttacking: false

# Should the player's disguises be removed if they're attacked by something?
BlowDisguisesWhenAttacked: false

# This works with 'DisablePvP' that if attacked by another entity, they have 'PvPTimer' amount of time
# to attack back. Timer is reset with every successful attack
RetaliationCombat: false

# If pvp or pve is disabled, this takes effect.
# If RetaliationCombat is false, or it's true but they haven't fought back in PvPTimer seconds, then they can't fight back.
# This also controls it so they can't fight back PvPTimer seconds after applying a disguise
PvPTimer: 5

# If this is enabled, death messages will not show for players if they were disguised
HideDeathMessages: false